## singular 4.0.2-p2+ds

=== debian/changelog ===
singular (4.0.2-p2+ds-3) unstable; urgency=medium

  * FTBFS fix (Closes: #804892), harden omalloc check.
  * Debianization:
    - debian/patches/upstream-tests-omalloc-getlucky.patch, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 Nov 2015 04:38:52 +0000

singular (4.0.2-p2+ds-2) unstable; urgency=medium

  * FTBFS fix (Closes: #804186), render deterministic an undeterministic check.
  * Debianization:
    - debian/rules, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 05 Nov 2015 21:31:15 +0000

singular (4.0.2-p2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debina/patches/*:
      - git-version-gen, harden;
      - refresh;
      - minor fix (submitted).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 04 Nov 2015 04:07:40 +0000

singular (4.0.2-p1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/watch, update;
    - debian/repack, update;
    - debian/patches/ patches:
      - git-version-gen echoes now the debian package version
        with prefix "debian-" instead of a fancy git number;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 15 Oct 2015 21:13:15 +0000

singular (4.0.2+ds-1) unstable; urgency=medium

  * New upstream version, integrate most of submitted upstream patches.
  * Upload to unstable.
  * Debianization:
    - debian/patches/debianization-rename-pkgconfig_files.patch, prepend
      singular- to the singular related modules within the metainformation
      singular pkg-config files;
    - debian/patches/ patches:
      - micro upstream fixes;
      - minor Debian adaptations;
      - refresh.
  * Upstream fixes have been pulled for request to the Singular Team.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 03 Aug 2015 00:12:09 +0000

singular (4.0.1p2+ds-1) experimental; urgency=medium

  * New major release started from scratch (Closes: #764475).
  * Debianization:
    - debian/copyright in DEP-5 format;
    - debian/control:
      - debhelper build-dep to >= 9;
      - Standards Version 3.9.6;
      - Vcs-* headers;
    - debian/source, format 3.0 (quilt);
    - build-arch/build-indep scheme, implement;
    - debian/patches/ patches:
      - in DEP-3 format;
      - prepend singular- to every Singular libraries for avoiding
        possible conflicts;
      - gather headers in a package include folder for the same reason;
      - manual page generated via help2man;
      - minor upstream fixes;
      - minor Debian adaptations;
    - debian/watch file;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - autoreconf-iguration;
      - full dh integration;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - gpg-signature check support, neutralize.
  * Minor fixes, enhancements, request for a better source tarball were
    submitted and have been integrated; thanks to the Singular Team.
  * Upstream fixes and enhancemens have been pulled for request to the
    Singular Team.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Feb 2015 16:46:56 +0000

singular (3-0-4-3.dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing the FTBFS (wrong compilation Makefile target and other
    issues, closes: #584339).
  * Really update libreadline-dev dependency (last revision only changed
    it in control.in).

 -- Giovanni Mascellani <gio@debian.org>  Tue, 10 Aug 2010 11:56:22 +0200

singular (3-0-4-3.dfsg-3) unstable; urgency=low

  * Update readline dependency to "libreadline-dev", not
    "libreadline5-dev".

 -- Tim Abbott <tabbott@mit.edu>  Fri, 18 Sep 2009 19:48:47 -0400

singular (3-0-4-3.dfsg-2) unstable; urgency=low

  * Change singuname architecture detection to support Linux on
    architectures unknown to the Singular build system. (Closes: #493492).

 -- Tim Abbott <tabbott@mit.edu>  Sat, 02 Aug 2008 21:45:51 -0400

singular (3-0-4-3.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #383515).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 08 Jul 2008 19:12:19 -0400

=== debian/rules ===
#!/usr/bin/make -f

DEB_PKG_DIR = $(abspath $(dir $(filter %rules, $(MAKEFILE_LIST))))
export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -l$(DEB_PKG_DIR)/changelog -S Version)

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_build-indep:
	make -C dox html

override_dh_auto_test-arch:
	chmod a+x omalloc/getlucky-omtTest-X.sh
	dh_auto_test -a

override_dh_auto_test-indep:

DEB_AUTO_INSTALL_MAKEFLAGS = TOPSRCDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp
override_dh_auto_install-indep:
	make -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)

override_dh_link-arch:
	dh_link -p libsingular4-dev \
		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc

override_dh_strip-arch:
	dh_strip -a --dbg-package=libsingular4-dbg

get-orig-source:
	uscan --no-conf --download-current-version --verbose

## singular 4.2.1

=== Singular/dyn_modules/machinelearning/ml_python/requirements.txt ===
coverage==4.5.4
numpy==1.16.1
#pandas==0.24.0
pylint==2.3.0
pytest==5.0.1
pytest-cov==2.7.1
scikit-learn==0.20.2
scipy==1.2.0
urllib3==1.26.5

## singular 4.0.3+ds

=== debian/changelog ===
singular (4.0.3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.7 (no change);
      - Homepage and Vcs-* fields, secure;
      - debug symbol package, drop off in favour of automatic generation;
      - upgrade scheme, harden (Closes: #800961);
    - debian/copyright, refresh;
    - debian/rules:
      - debug symbol package, drop off in favour of automatic generation;
    - debian/repack, harden;
    - minor fix (submitted).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 23 Feb 2016 02:55:40 +0000

=== debian/control ===
Source: singular
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9),
 autotools-dev, autoconf-archive, dh-autoreconf, libtool, help2man,
 libreadline6-dev,
 libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
 graphviz, 4ti2, normaliz, surf-alggeo,
 python-polybori (>= 0.8.3)
Build-Depends-Indep:
 doxygen,
 rdfind, symlinks
Standards-Version: 3.9.7
Homepage: https://www.singular.uni-kl.de/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/singular.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/singular.git

Package: singular
Architecture: any
Depends: singular-ui, singular-data, singular-modules, ${misc:Depends}
Description: Computer Algebra System for Polynomial Computations
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This dummy package provides the standard installation.

Package: libsingular4
Provides: libsingular
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsingular
Multi-Arch: same
Description: Computer Algebra System for Polynomial Computations -- library package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains shared libraries.

Package: libsingular4-dev
Provides: libsingular-dev
Section: libdevel
Architecture: any
Depends: libsingular4 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
Conflicts: libsingular-dev
Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
Multi-Arch: same
Description: Computer Algebra System for Polynomial Computations -- development package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains architecture dependent header files and static libraries.

Package: libsingular4-dev-common
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Replaces: libsingular-dev (<< 4), libsingular-3-0-4-3
Breaks: libsingular-dev (<< 4), libsingular-3-0-4-3
Description: Computer Algebra System for Polynomial Computations -- common dev package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains common header files.

Package: singular-modules
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libsingular4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Description: Computer Algebra System for Polynomial Computations -- module package
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the basic builtin modules.

Package: singular-data
Architecture: all
Depends: ${misc:Depends}
Recommends:
 singular-ui (= ${binary:Version}),
 graphviz, 4ti2, normaliz, surf-alggeo,
 python-polybori (>= 0.8.3)
Suggests: graphicsmagick-imagemagick-compat | imagemagick
Multi-Arch: foreign
Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
Description: Computer Algebra System for Polynomial Computations -- shared data
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains architecture independent material.

Package: singular-ui
Architecture: any
Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: singular-modules (= ${binary:Version})
Multi-Arch: foreign
Replaces: singular (<< 4)
Breaks: singular (<< 4)
Description: Computer Algebra System for Polynomial Computations -- console user interface
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the SINGULAR command-line interface.

Package: singular-ui-emacs
Architecture: any
Depends: singular-ui (= ${binary:Version}), emacs, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Replaces: singular (<< 4)
Breaks: singular (<< 4)
Description: Computer Algebra System for Polynomial Computations -- emacs user interface
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the SINGULAR command-line interface within emacs.

Package: singular-ui-xterm
Architecture: any
Depends: singular-ui (= ${binary:Version}), xterm, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Replaces: singular (<< 4)
Breaks: singular (<< 4)
Description: Computer Algebra System for Polynomial Computations -- xterm user interface
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the SINGULAR command-line interface within a (new)
 terminal window.

Package: singular-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests:
 singular (= ${binary:Version}),
 pdf-viewer,
 www-browser
Multi-Arch: foreign
Description: Computer Algebra System for Polynomial Computations -- user documentation
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the user documentation in HTML and PDF formats.

Package: singular-dev-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Suggests:
 singular (= ${binary:Version}),
# pdf-viewer,
 www-browser
Multi-Arch: foreign
Description: Computer Algebra System for Polynomial Computations -- developer documentation
 SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
 emphasis on the special needs of commutative algebra, algebraic geometry,
 and singularity theory.
 .
 This package contains the developer documentation in HTML and PDF formats.

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,5 @@
 	dh_link -p libsingular4-dev \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc
 
-override_dh_strip-arch:
-	dh_strip -a --dbg-package=libsingular4-dbg
-
 get-orig-source:
 	uscan --no-conf --download-current-version --verbose

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,uversionmangle=s/p/-p/ \
http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/SOURCES/([\d-]+)/ singular-([\d\.]+|[\d\.]+p\d+)\.tar\.gz \
debian sh debian/repack

## singular 4.0.3-p1+ds

=== debian/changelog ===
singular (4.0.3-p1+ds-1) unstable; urgency=medium

  * New upstream version (Closes: #811855).
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.8 (no change);
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, refresh;
      - d/p/upstream-autotools-DESTDIR.patch, introduce;
      - d/p/upstream-autotools-singular_idx.patch, introduce;
      - d/p/upstream-reproducible.patch, introduce;
    - provide doc `as is'.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 28 Apr 2016 18:04:58 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://www.singular.uni-kl.de/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/singular.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/singular.git
@@ -94,7 +94,7 @@
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
  python-polybori (>= 0.8.3)
-Suggests: graphicsmagick-imagemagick-compat | imagemagick
+Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -109,6 +109,7 @@
 Architecture: any
 Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
+Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign
 Replaces: singular (<< 4)
 Breaks: singular (<< 4)
@@ -122,6 +123,7 @@
 Package: singular-ui-emacs
 Architecture: any
 Depends: singular-ui (= ${binary:Version}), emacs, ${shlibs:Depends}, ${misc:Depends}
+Recommends: singular-doc (= ${source:Version})
 Multi-Arch: foreign
 Replaces: singular (<< 4)
 Breaks: singular (<< 4)
@@ -150,10 +152,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests:
- singular (= ${binary:Version}),
- pdf-viewer,
- www-browser
+Enhances: singular-data (= ${source:Version}), singular-ui-emacs (= ${binary:Version})
+Suggests: singular (= ${binary:Version}), pdf-viewer, www-browser
 Multi-Arch: foreign
 Description: Computer Algebra System for Polynomial Computations -- user documentation
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_PKG_DIR = $(abspath $(dir $(filter %rules, $(MAKEFILE_LIST))))
 export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -l$(DEB_PKG_DIR)/changelog -S Version)
@@ -24,9 +26,16 @@
 override_dh_auto_install-indep:
 	make -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
 
+##override_dh_compress-indep:
+##	dh_compress -X.pdf
+
 override_dh_link-arch:
 	dh_link -p libsingular4-dev \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc
 
+override_dh_link-indep:
+	dh_link -p singular-doc \
+		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
+
 get-orig-source:
-	uscan --no-conf --download-current-version --verbose
+	uscan --no-conf --download-current-version --compression xz --verbose

## singular 4.0.3-p3+ds

=== debian/changelog ===
singular (1:4.0.3-p3+ds-5) unstable; urgency=medium

  * Debianization:
    - debian/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 15 Nov 2016 11:04:57 +0000

singular (1:4.0.3-p3+ds-4) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - transition, polybori -> brial;
    - debian/gbp.conf, revisit (default distribution: unstable);
    - debian/patches/upstream-lintian-spelling-error-silence.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 15:45:27 +0000

singular (1:4.0.3-p3+ds-3) unstable; urgency=medium

  * Debianization:
    - version epoch (deb-version(1)), bump (see d/README.source for rationale);
    - debian/README.source, introduce;
    - debian/gbp.conf, set up.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 08 Nov 2016 15:29:55 +0000

singular (4.0.3-p3+ds-2) unstable; urgency=medium

  * RC fix (Closes: #840481), fix readline 6 to 7 migration issue.
  * Debianization:
    - debian/rules, do not compress .hlp data files (for now).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 14 Oct 2016 22:41:33 +0000

singular (4.0.3-p3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Build-Depends, migrate to libreadline-dev;
    - debian/patches/:
      - discard integrated and/or obsoleted patches:
        - upstream-bug-831072-gcc_6_1_1-segfault.patch
        - upstream-bug-831072-hidden-segfault.patch
        - upstream-reproducible.patch
        - upstream-autotools-DESTDIR.patch
        - upstream-autotools-singular_idx.patch .

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Oct 2016 11:47:58 +0000

singular (4.0.3-p1+ds-4) unstable; urgency=medium

  * RC fix (Closes: #837016), fix ax_prog_doxygen.m4 update issue.
  * Debianization:
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 29 Sep 2016 10:48:09 +0000

singular (4.0.3-p1+ds-3) unstable; urgency=medium

  * RC fix (Closes: #831072), fix gcc-6 transition issue.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 25 Jul 2016 22:13:13 +0000

singular (4.0.3-p1+ds-2) unstable; urgency=medium

  * FTBFS fix (Closes: #806108), fix indep build failure.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Apr 2016 15:03:31 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	dh $@ --with autoreconf --parallel
 
 override_dh_auto_build-indep:
-	make -C dox html
+	dh_auto_build -i
+	$(MAKE) -C dox html
 
 override_dh_auto_test-arch:
 	chmod a+x omalloc/getlucky-omtTest-X.sh
@@ -24,10 +25,12 @@
 
 DEB_AUTO_INSTALL_MAKEFLAGS = TOPSRCDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp
 override_dh_auto_install-indep:
-	make -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
+	dh_auto_install -i
+	$(MAKE) -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
 
-##override_dh_compress-indep:
-##	dh_compress -X.pdf
+## WARNING: documentation might not be clean
+override_dh_compress-indep:
+	dh_compress -X.hlp
 
 override_dh_link-arch:
 	dh_link -p libsingular4-dev \

## singular 4.0.3-p4+ds

=== debian/changelog ===
singular (4.0.3-p4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*.patch:
      - Origin field, correct;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 20 Oct 2016 23:58:53 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
  debhelper (>= 9),
- autotools-dev, autoconf-archive, dh-autoreconf, libtool, help2man,
- libreadline6-dev,
+ autotools-dev, autoconf-archive (>= 20160320), dh-autoreconf, libtool, help2man,
+ libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
  python-polybori (>= 0.8.3)

## singular 4.1.0-p3+ds

=== debian/changelog ===
singular (1:4.1.0-p3+ds-2build1) bionic; urgency=medium

  * No-change rebuild using mpfr 4.0.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2018 11:57:48 +0100

singular (1:4.1.0-p3+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 May 2017 13:04:10 +0000

singular (1:4.1.0-p3+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/, refreshment;
    - singular.hlp management, correct (Closes: #856871).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Apr 2017 12:40:35 +0000

singular (1:4.1.0-p2+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/control, update;
    - d/patches/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Feb 2017 07:41:13 +0000

singular (1:4.1.0-p1+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright, refresh;
    - debian/rules, harden;
    - debian/*, correct typo.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 21 Nov 2016 05:25:14 +0000

singular (1:4.0.3-p5+ds-1) experimental; urgency=medium

  * Debianization:
    - debian/patches/upstream-lintian-spelling-error-silence.patch, update.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 14:03:39 +0000

singular (1:4.0.3-p4+ds-2) experimental; urgency=medium

  * Debianization:
    - version epoch (deb-version(1)), bump (see d/README.source for rationale);
    - debian/README.source, introduce;
    - debian/gbp.conf, set up (default debian-branch: experimental);
    - debian/control:
      - transition, polybori -> brial.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 03:20:28 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-polybori (>= 0.8.3)
+ python-brial
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
@@ -93,7 +93,7 @@
 Recommends:
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-polybori (>= 0.8.3)
+ python-brial
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3

=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,9 @@
 	dh_link -p libsingular4-dev \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc
 
-override_dh_link-indep:
-	dh_link -p singular-doc \
-		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
+##override_dh_link-indep:
+##	dh_link -p singular-doc \
+##		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
 
 get-orig-source:
 	uscan --no-conf --download-current-version --compression xz --verbose

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,uversionmangle=s/p/-p/,repacksuffix=+ds \
http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/SOURCES/([\d-]+)/ singular-([\d\.]+|[\d\.]+p\d+)\.tar\.gz

## singular 4.1.1-p2%2Bds

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9),
- autotools-dev, autoconf-archive (>= 20160320), dh-autoreconf, libtool, help2man,
+ debhelper (>= 11),
+ autoconf-archive (>= 20160320), libtool, help2man,
  libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-brial
+ python3-brial
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.singular.uni-kl.de/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/singular.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/singular.git
+Vcs-Git: https://salsa.debian.org/science-team/singular.git
+Vcs-Browser: https://salsa.debian.org/science-team/singular
 
 Package: singular
 Architecture: any
@@ -28,13 +28,14 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4
+Package: libsingular4m1
 Provides: libsingular
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsingular
+Breaks: libsingular, libsingular4 (= 1:4.1.1-p2+ds-2)
+Replaces: libsingular4 (= 1:4.1.1-p2+ds-2)
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- library package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
@@ -47,7 +48,7 @@
 Provides: libsingular-dev
 Section: libdevel
 Architecture: any
-Depends: libsingular4 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libsingular4m1 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libsingular-dev
 Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
 Multi-Arch: same
@@ -76,7 +77,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -93,7 +94,7 @@
 Recommends:
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-brial
+ python3-brial
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -107,7 +108,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign

## singular 4.1.1-p2+ds

=== debian/changelog ===
singular (1:4.1.1-p2+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Import backport patch from upstream for sagemath 8.3 .
  * Debianization:
    - debian/patches/*:
      - d/p/patches/upstream-backport-ntl-error-handler.patch , import.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Oct 2018 11:29:10 +0000

singular (1:4.1.1-p2+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/singular-doc.docs, update;
    - debian/patches/*:
      - d/p/upstream-fix-lintian-spelling.patch , integrated;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Apr 2018 16:47:36 +0000

singular (1:4.1.1-p1+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuples, refresh;
      - Files-Excluded field, update;
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.3 (no change);
      - Vcs-* fields, migrate to Salsa;
    - debian/rules:
      - get-orig-source target, compression option, move to d/watch ;
    - debian/patches/*:
      - d/p/debianization-4ti2.patch , obsoleted by upstream;
      - update;
    - debian/watch:
      - compression option, add.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 30 Mar 2018 11:20:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
- python3-brial
+ python-brial
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
@@ -28,14 +28,13 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4m1
+Package: libsingular4
 Provides: libsingular
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libsingular, libsingular4 (= 1:4.1.1-p2+ds-2)
-Replaces: libsingular4 (= 1:4.1.1-p2+ds-2)
+Conflicts: libsingular
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- library package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
@@ -48,7 +47,7 @@
 Provides: libsingular-dev
 Section: libdevel
 Architecture: any
-Depends: libsingular4m1 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libsingular4 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libsingular-dev
 Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
 Multi-Arch: same
@@ -77,7 +76,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4m1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -94,7 +93,7 @@
 Recommends:
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
- python3-brial
+ python-brial
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -108,7 +107,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4m1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_PKG_DIR = $(abspath $(dir $(filter %rules, $(MAKEFILE_LIST))))
-export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -l$(DEB_PKG_DIR)/changelog -S Version)
+export DEB_PKG_VERSION = $(DEB_VERSION)
 
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -11,7 +11,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
@@ -41,4 +41,4 @@
 ##		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
 
 get-orig-source:
-	uscan --no-conf --download-current-version --compression xz --verbose
+	uscan --no-conf --download-current-version --verbose

## singular 4.2.1-p2+ds

=== debian/changelog ===
singular (1:4.2.1-p2+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Build-Depends field, add bison;
    - d/rules:
      - override_dh_auto_configure target, add option --enable-streamio
        (Closes: #974103);
    - d/patches/*:
      - d/p//upstream-fix-factoryconf_h-include.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Dec 2021 13:33:59 +0000

singular (1:4.2.1-p2+ds-2) experimental; urgency=medium

  * Debinization:
    - d/control:
      - debhelper, bump to version 12;
      - Build-Depends list, remove python-is-python3 and add topcom;
      - library package, rename libsingular4m2n1;
    - d/rules:
      - PYTHON environment variable, export;
      - override_dh_auto_configure target, introduce to honor libexec;
    - d/patches/*:
      - d/p/upstream-source-typo.patch, introduce (Closes: #965090);
      - d/p/upstream-source-lintian-spelling.patch, introduce;
    - d/singular-ui-emacs.install, add .emacs-* Emacs initializations
        files (Closes: #965089);
    - d/singular-modules.install, now honor libexec;
    - d/singular-modules.lintian-overrides, provide explanation;
    - d/libsingular4-dev{,-common}.lintian-overrides, provide comment;
    - d/upstream/metadata, introduce;
    - d/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Nov 2021 19:24:24 +0000

singular (1:4.2.1-p2+ds-1) experimental; urgency=medium

  * New minor upstream version (Closes: #992003).
  * Debianization:
    - d/control:
      - Build-Depends list, add python-is-python3;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.6.0 (no change);
    - d/copyright:
      - machine-readable copyright file URI, fix;
      - copyright year tuples, update;
      - Files-Excluded list, refresh;
      - obsoleted Files entries, clean up;
    - d/patches/*, update;
    - d/singular-doc.{docs,info}, migrate from hlp to info;
    - d/*singular*.{install,lintian-overrides}, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 21 Nov 2021 20:39:00 +0000

singular (1:4.1.2-p1+ds-2) experimental; urgency=medium

  * Debianization:
    - migration to Python3 (Closes: #943272);
    - debian/copyright, update.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 09 Jan 2020 20:32:43 +0000

singular (1:4.1.2-p1+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright, revisit;
    - debian/control:
      - Standards Version, bump to 4.4.1 (no change);
      - Depends field, libsingular4-dev, harden;
    - debian/rules:
      - override_dh_compress-indep target, no more compress singular.idx;
    - debian/sigular-doc.*:
      - d/singular-doc.{docs,info}, now distribute singular.hlp as info file;
    - debian/patches/*:
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, integrated;
      - d/p/debianization-adhoc-info.patch, introduce;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Nov 2019 17:00:18 +0000

singular (1:4.1.1-p4+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control,
      - suffix library package wrt major and minor and nano version numbers
        to prevent from RC bugs, see #910808;
    - debian/copyright:
      - Copyright year tuples, update;
    - debian/control:
      - Standards Version, bump to 4.3.0 (no change);
    - debian/watch:
      - upstream URL, secure;
    - debian/patches/*:
      - d/p/upstream-autotools_pedant-harmonize-librelease.patch, integrated;
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, submit;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 12 Jan 2019 08:17:59 +0000

singular (1:4.1.1-p3+ds-3) experimental; urgency=medium

  * Administrivia release: git merge.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Oct 2018 12:55:03 +0000

singular (1:4.1.1-p2+ds-3) unstable; urgency=medium

  * RC fix (Closes: #910808), suffix library package wrt major and minor
    version numbers.
  * Debianization:
    - debian/patches:
      - d/p/upstream-autotools_pedant-harmonize-librelease.patch, introduce;
      - d/p/debianization-prefix_libreleases.patch, introduce;
    - debian/rules:
      - export UPS_VERSION_UPSTREAM, introduce to prefix libreleases when
        necessary to avoid conflict (see d/p/d-prefix_libreleases.patch).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Oct 2018 08:35:09 +0000

singular (1:4.1.1-p3+ds-2) experimental; urgency=medium

  * Administrivia release: git merge.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Oct 2018 14:36:23 +0000

singular (1:4.1.1-p3+ds-1) experimental; urgency=medium

  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.2.0 (no change);
    - debian/rules:
      - get-orig-source target, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Aug 2018 15:18:08 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
- autoconf-archive (>= 20160320), libtool, help2man,
+ debhelper-compat (= 12),
+ autoconf-archive (>= 20160320), bison, libtool, help2man,
  libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
- graphviz, 4ti2, normaliz, surf-alggeo,
- python-brial
+ graphviz, 4ti2, normaliz, surf-alggeo, topcom,
+ python3-brial
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 4.1.3
+Standards-Version: 4.6.0
 Homepage: https://www.singular.uni-kl.de/
 Vcs-Git: https://salsa.debian.org/science-team/singular.git
 Vcs-Browser: https://salsa.debian.org/science-team/singular
@@ -28,13 +29,14 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4
+Package: libsingular4m2n1
 Provides: libsingular
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsingular
+Breaks: libsingular (<< 4), libsingular4 (= 1:4.1.1-p2+ds-2)
+Replaces: libsingular4 (= 1:4.1.1-p2+ds-2)
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- library package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
@@ -47,7 +49,14 @@
 Provides: libsingular-dev
 Section: libdevel
 Architecture: any
-Depends: libsingular4 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
+Depends:
+ libsingular4m2n1 (= ${binary:Version}),
+ libsingular4-dev-common (= ${source:Version}),
+ libgmp-dev,
+ libflint-dev,
+ libntl-dev,
+ libmpfr-dev,
+ ${misc:Depends}
 Conflicts: libsingular-dev
 Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
 Multi-Arch: same
@@ -76,7 +85,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m2n1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -92,8 +101,8 @@
 Depends: ${misc:Depends}
 Recommends:
  singular-ui (= ${binary:Version}),
- graphviz, 4ti2, normaliz, surf-alggeo,
- python-brial
+ graphviz, 4ti2, normaliz, surf-alggeo, topcom,
+ python3-brial
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -107,7 +116,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m2n1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign

## singular 4.2.1-p3%2Bds

=== debian/changelog ===
singular (1:4.2.1-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/copyright, refresh;
    - d/patches/*:
      - d/p/upstream-source-lintian-spelling.patch, renew;
      - d/p/upstream-source-typo.patch, integrated;
      - d/p/upstream-fix-conflict-Givaro.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Dec 2021 20:20:53 +0000

singular (1:4.2.1-p2+ds-6) unstable; urgency=medium

  * Debianization:
    - d/{p/debianization-{resources,-adhoc-info}.patch,
         singular-doc.{docs,info,install}} rationalize
         (Closes: #1001806).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 Dec 2021 20:39:36 +0000

singular (1:4.2.1-p2+ds-5) unstable; urgency=medium

  * Debianization:
    - d/control:
      - libsingular4m2n1 package entries, sanitize (Closes: #1001658);
      - singular package, mark `Multi-Arch: same'.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 Dec 2021 20:27:46 +0000

singular (1:4.2.1-p2+ds-4) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-conflict-Givaro.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 Dec 2021 19:21:46 +0000

## singular 4.2.1-p3+ds

=== debian/changelog ===
singular (1:4.2.1-p3+ds-2) unstable; urgency=medium

  * FTBFS fix release, migration to GCC 12 (Closes: #1013038).
  * Debianization:
    - d/p/upstream-import-gcc12.patch, fixing patch imported from Sage;
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/libsingular4m2n1.lintian-overrides, update;
    - d/s/lintian-overrides:
      - source-is-missing, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Jul 2022 14:42:15 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.singular.uni-kl.de/
 Vcs-Git: https://salsa.debian.org/science-team/singular.git
 Vcs-Browser: https://salsa.debian.org/science-team/singular
@@ -22,6 +22,7 @@
 Package: singular
 Architecture: any
 Depends: singular-ui, singular-data, singular-modules, ${misc:Depends}
+Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
  emphasis on the special needs of commutative algebra, algebraic geometry,
@@ -30,13 +31,10 @@
  This dummy package provides the standard installation.
 
 Package: libsingular4m2n1
-Provides: libsingular
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libsingular (<< 4), libsingular4 (= 1:4.1.1-p2+ds-2)
-Replaces: libsingular4 (= 1:4.1.1-p2+ds-2)
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- library package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with

## singular 4.3.1

=== Singular/dyn_modules/machinelearning/ml_python/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 coverage==4.5.4
-numpy==1.16.1
+numpy==1.22.0
 #pandas==0.24.0
 pylint==2.3.0
 pytest==5.0.1

## singular 4.3.1-p2+ds

=== debian/changelog ===
singular (1:4.3.1-p2+ds-2) unstable; urgency=medium

  * Upload to unstable (closes: #1023360).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-autotools-libpolys-modules.patch, introduce
        (Closes: #1020380).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Dec 2022 11:20:51 +0000

singular (1:4.3.1-p2+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - various janitorial changes.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Sep 2022 17:58:16 +0000

singular (1:4.3.1-p1+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/patches/*:
      - d/p/upstream-update-README_pkg-debian.patch, introduce;
      - d/p/debianization-resources.patch, refresh;
    - d/singular-doc.docs, update;
    - d/s/lintian-overrides:
      - source-is-missing, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Jul 2022 19:07:13 +0000

singular (1:4.3.0-p1+ds-3) experimental; urgency=medium

  * RC bug fix (closes: #1012407), upgrade lib package name.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 12 Jun 2022 12:59:04 +0000

singular (1:4.3.0-p1+ds-2) experimental; urgency=medium

  * Debianization:
    - d/watch:
      - upstream site address, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 22 May 2022 16:22:37 +0000

singular (1:4.3.0-p1+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - policy change: singular.info now in /u/s/info as expected;
    - d/control:
      - Maintenance, migrate to Debian Math Team.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 Mar 2022 15:21:16 +0000

singular (1:4.3.0+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/patches/*:
      - d/p/upstream-source-lintian-spelling.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 15 Jan 2022 14:26:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: singular
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -16,8 +16,8 @@
  rdfind, symlinks
 Standards-Version: 4.6.1
 Homepage: https://www.singular.uni-kl.de/
-Vcs-Git: https://salsa.debian.org/science-team/singular.git
-Vcs-Browser: https://salsa.debian.org/science-team/singular
+Vcs-Git: https://salsa.debian.org/math-team/singular.git
+Vcs-Browser: https://salsa.debian.org/math-team/singular
 
 Package: singular
 Architecture: any
@@ -30,7 +30,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4m2n1
+Package: libsingular4m3n0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -48,7 +48,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libsingular4m2n1 (= ${binary:Version}),
+ libsingular4m3n0 (= ${binary:Version}),
  libsingular4-dev-common (= ${source:Version}),
  libgmp-dev,
  libflint-dev,
@@ -83,7 +83,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4m2n1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m3n0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -114,7 +114,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4m2n1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m3n0 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign
